/* Reset de estilos */
* {
    box-sizing: border-box;
}

/* Estilos generales */
body {
    font-family: Arial, sans-serif;
    color: var(--bs-body-color);
    line-height: 1.6;
}

/* Logos del equipo */
.team-logo {
    max-width: 300px; /* Tamaño del logo en escritorio */
    margin: 10px; /* Espacio de seguridad para que no desborde */
}

.img-cover {
    /* Clase para forzar imagen a adaptarse al contenedor */

    display: block;
    width: 100%;
    object-fit: cover;
}

/* Estilos generales del Header */
header {
    background-color: #004A7C;
    color: var(--bs-body-color);

    .inner {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        column-gap: 20px;
    }
}

header h1 {
    font-size: 2.8rem;
    font-weight: bold;
}

header p {
    font-size: 1.3rem;
}

/* Sección de Misión */
.section h2 {
    color: #004A7C;
}

.section p {
    font-size: 1.1rem;
    text-align: justify;
}

/* Tarjetas de Áreas de Conocimiento */
.card {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border: none;
    
}

.card:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.card-title {
    color: #004A7C;
    font-size: 1.3rem;
    font-weight: bold;
}

.card-text {
    color: var(--bs-body-color);
    font-size: 1rem;
}

/* Footer */
footer {
    background-color: #004A7C;
    color: var(--bs-body-color);
    font-size: 0.9rem;
}

footer p {
    margin: 0;
    padding: 0.5rem 0;
}

/* Enlaces */
a {
    color: #004A7C;
    text-decoration: none;
}

a:hover {
    color: #007BFF;
    text-decoration: underline;
}

/* Responsivo para pantallas pequeñas */
@media (max-width: 768px) {
    /* Ajuste del Header */
    header {
        text-align: center; /* Centra el texto y los elementos */
        
        .inner {
            flex-direction: column;
            justify-content: space-between;
            align-items: center;
            gap: 20px;
            padding: 20px;
        }

    }

    header h1 {
        font-size: 2rem;
    }

    header p {
        font-size: 1rem;
    }

    /* Logos en columnas */
    .team-logo {
        margin: 0 auto; /* Centra los logos */
        width: 30%; /* Ajusta el tamaño de los logos en responsive */
    }

}



/* Cambio de theme */

/* Atributo para cambiar el theme */


[data-bs-theme="dark"] {
    
    --bs-body-bg: #161925;
}


/* Botón de cambio de theme */


.btn-switch-theme-container {
    position: fixed;
    left: 20px;
    bottom: 20px;
    
    .btn-switch-theme {

        border: 1px solid rgb(37, 78, 167);
        background-color: #031633;

        &:hover {
            background-color: #1f2438;
        }
    }

}

body:is([data-bs-theme="dark"]) {
    /* Tarjetas de Áreas de Conocimiento */

    .card {
        border: 2px solid rgb(37, 78, 167);
    }

    .card:hover {
        transform: translateY(-5px);
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    }

    .card-title {
        color: var(--bs-body-color);
        font-size: 1.3rem;
        font-weight: bold;
    }

    .card-text {
        color: var(--bs-body-color);
        font-size: 1rem;
    }

    
}


